database:
  url: postgres://nxcaldav@localhost:5432/nxcaldav?sslmode=disable
server:
  bind_address: 0.0.0.0:14243
  default_class: CONFIDENTIAL
  public_url: http://nxc.nx2.site/
  email_domain: nx2.site
  redaction_text: '[-]'

smtp:
  host: localhost
  port: 587
  user: nxcaldav@nx2.site
  password: Vastly-Wrinkle9-Corsage

users:
  - name: daniel
    password: ll
    groups:
      - family
  - name: lennart
    password: ll
    groups:
      - family
  - name: shared
    password: Oxidant-Ageless3-Dispersed

calendars:
  - id: preservation
    owner: lennart
    color: '#F6F5F4'
  - id: effort
    owner: lennart
    color: '#FF0000'
  - id: experience
    owner: lennart
    color: '#2C33FF'
  - id: leisure
    owner: lennart
    color: '#10B400'
  - id: daniel
    owner: daniel
    color: '#ff2222'
  - access:
    - group: family
      mode: read-write
    id: family
    owner: shared
    color: '#999999'

address_books:
  - id: contacts
    owner: lennart
  - id: contacts
    owner: daniel
  - id: family
    owner: shared
    access:
      - group: family
        mode: read-write

aggregates:
- access:
  - group: family
    mode: read-only
  - ics: future-only
  id: lennart-aggregat
  owner: lennart
  color: '#dd9999'
  sources:
    - preservation
    - effort
    - experience
    - leisure
    - family

